<?php
header('Access-Control-Allow-Origin: *');
require_once '../negocio/Pozo.clase.php';
date_default_timezone_set("America/Lima");

if (
    !isset($_POST["p_cantidad_inicial"])
    || !isset($_POST["p_latitud"])
    || !isset($_POST["p_longitud"])
    || !isset($_POST["p_imagen_inicial"])
    || !isset($_POST["p_estado_app"])
    || !isset($_POST["p_id_pozo"])
) {
    Funciones::imprimeJSON(500, "Faltan parametros", "");
    exit();
}

try {
    // Recuperar los parámetros POST y asignarlos a las variables
    $cantidad_inicial = $_POST["p_cantidad_inicial"];
    $latitud = $_POST["p_latitud"];
    $longitud = $_POST["p_longitud"];
    $imagen_inicial = $_POST["p_imagen_inicial"];
    $estado_app = $_POST["p_estado_app"];
    $codigo_usuario_movil = $_POST["p_codigo_usuario_movil"];
    $estado_pozo = $_POST["p_estado_pozo"];
    $fecha_registro_app = $_POST["p_fecha_registro_app"];
    $hora_registro_app = $_POST["p_hora_registro_app"];

    $id_pozo = $_POST["p_id_pozo"];

    // Crear la instancia del objeto Pozo
    $obj = new Pozo();
    
    // Llamar a la función ActualizarPozo con los parámetros recuperados
    $resultado = $obj->ActualizarPozo($cantidad_inicial, $latitud, $longitud, $imagen_inicial, $estado_app, $codigo_usuario_movil , $estado_pozo, $fecha_registro_app, $hora_registro_app, $id_pozo);
    
    // Enviar la respuesta con el resultado
    Funciones::imprimeJSON(200, "Actualización exitosa", $resultado);
    
} catch (Exception $exc) {   
    // En caso de error, enviar un mensaje de error
    Funciones::imprimeJSON(500, $exc->getMessage(), "");
}
