<?php
// Habilitar el acceso desde cualquier origen
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');

// Incluir el archivo de la clase MonitoreoPozo
require_once '../negocio/Monitoreo.clase.php';
date_default_timezone_set("America/Lima");

// Validar que todos los parámetros POST necesarios estén presentes
if (
    !isset($_POST["p_fecha_registro"]) ||
    !isset($_POST["p_hora_registro"]) ||
    !isset($_POST["p_id_pozo"]) ||
    !isset($_POST["p_id_propietario"]) ||
    !isset($_POST["p_lectura_caudalimetro"]) ||
    !isset($_POST["p_nivel_estatico"]) ||
    !isset($_POST["p_nivel_dinamico"]) ||
    !isset($_POST["p_conductividad_agua"]) ||
    !isset($_POST["p_imagen_inicial"]) ||
    !isset($_POST["p_latitud"]) ||
    !isset($_POST["p_longitud"])
) {
    Funciones::imprimeJSON(500, "Faltan parámetros", "");
    exit();
}

try {
    // Recuperar los parámetros POST y asignarlos a variables
    $fecha_registro = $_POST["p_fecha_registro"];
    $hora_registro = $_POST["p_hora_registro"];
    $id_pozo = $_POST["p_id_pozo"];
    $id_propietario = $_POST["p_id_propietario"];
    $lectura_caudalimetro = $_POST["p_lectura_caudalimetro"];
    $nivel_estatico = $_POST["p_nivel_estatico"];
    $nivel_dinamico = $_POST["p_nivel_dinamico"];
    $conductividad_agua = $_POST["p_conductividad_agua"];
    $imagen_inicial = $_POST["p_imagen_inicial"];
    $latitud = $_POST["p_latitud"];
    $longitud = $_POST["p_longitud"];
    $estado = 'P';
    $codigo_usuario = $_POST["p_codigo_usuario"];
    $id_realm_monitoreo = $_POST["p_id_realm_monitoreo"];
    $nombre_pozo = $_POST["p_nombre_pozo"];
    $nombre_comercial = $_POST["p_nombre_comercial"];



    // Crear una instancia del objeto MonitoreoPozo
    $obj = new Monitoreo();

    // Llamar a la función AgregarMonitoreo con los parámetros recuperados
    $resultado = $obj->AgregarMonitoreo(
        $fecha_registro, $hora_registro, $id_pozo, $id_propietario, $lectura_caudalimetro,
        $nivel_estatico, $nivel_dinamico, $conductividad_agua, 
        $imagen_inicial, $latitud, $longitud, $estado , $codigo_usuario, $id_realm_monitoreo, $nombre_pozo, $nombre_comercial
    );

    // Enviar la respuesta con el resultado
    Funciones::imprimeJSON(200, "Monitoreo agregado exitosamente", $resultado);

} catch (Exception $exc) {
    // En caso de error, enviar un mensaje de error
    Funciones::imprimeJSON(500, $exc->getMessage(), "");
}
