<?php
// Habilitar el acceso desde cualquier origen
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');

// Incluir el archivo de la clase MonitoreoPozo
require_once '../negocio/Monitoreo.clase.php';
date_default_timezone_set("America/Lima");

// Verificar que los parámetros necesarios estén presentes
if (
    !isset($_POST["p_fecha_inicial"]) ||
    !isset($_POST["p_fecha_fin"]) ||
    !isset($_POST["p_id_propietario"]) ||
    !isset($_POST["p_id_perfil"])

) {
    Funciones::imprimeJSON(500, "Faltan parámetros", "");
    exit();
}

// Capturar los valores de los parámetros
$fecha_inicio = $_POST["p_fecha_inicial"];
$fecha_fin = $_POST["p_fecha_fin"];
$id_propietario = $_POST["p_id_propietario"];
$id_perfil = $_POST["p_id_perfil"];


try {
    $obj = new Monitoreo();

    if($id_perfil == 1){
        $resultado = $obj->listarMonitoreosCompletos($fecha_inicio, $fecha_fin);
        Funciones::imprimeJSON(200, "", $resultado);
    }else{
        $resultado = $obj->listarMonitoreos($fecha_inicio, $fecha_fin, $id_propietario);
        Funciones::imprimeJSON(200, "", $resultado);
    }
   
    
} catch (Exception $exc) {   
    Funciones::imprimeJSON(500, $exc->getMessage(), "");
}

?>
