<?php
require_once '../datos/Conexion.clase.php';

class Sesion extends Conexion {

    public function __construct() {
        parent::__construct();  // Asegúrate de que el constructor de la clase padre (Conexion) se ejecute
    }

    public function iniciarSesion($dni) {
        try {
            $sql = "SELECT 
                        u.codigo_usuario,       
                        p.dni,
                        p.apellido_paterno,
                        p.apellido_materno,
                        p.nombres,
                        p.email,
                        u.clave,
                        u.estado,
                        p.id_perfil,
                        pr.id_propietario, 
                        pr.razon_social  
                    FROM 
                        personal_sis_aqua_olmos p
                    JOIN 
                        usuario_sis_aqua_olmos u
                    ON 
                        p.dni = u.dni_personal
                    JOIN 
                        Propietario pr
                    ON 
                        u.id_propietario = pr.id_propietario
                    WHERE 
                        u.estado = 'A' 
                        AND u.dni_personal = :p_dni; ";

            // Asegúrate de que la conexión esté abierta
            if (!$this->dblink) {
                throw new Exception("No se pudo establecer la conexión a la base de datos.");
            }

            $sentencia = $this->dblink->prepare($sql);
            $sentencia->bindParam(":p_dni", $dni);
            $sentencia->execute();
            $resultado = $sentencia->fetch(PDO::FETCH_ASSOC);
            return $resultado;
        } catch (Exception $e) {
            throw $e;
        }
    }
}
